package schedframe.scheduling.tasks;

import schedframe.scheduling.WorkloadUnitHandler;
import schedframe.scheduling.manager.tasks.JobRegistryImpl;

public interface WorkloadUnit {

	public String getId();
	
	public int getUserID();
	
	public int getStatus();
	
	public void setStatus(int status) throws Exception;

	public boolean isFinished();

	public boolean isRegistered();

	public void register(JobRegistryImpl jobRegistry);
	
	public void accept(WorkloadUnitHandler wuh);

}